Bug 63922 - iptables-restore segfaults when loading custom tables
iptables-restore segfaults when loading custom tables
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-21 22:02 EDT by rmhristev
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 09:30:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2002-04-21 22:02:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
iptables-restore segfaults when loading the iptables-save file if a custom table
have been created (via 'iptables -N <table-name>')
Using latest patches/updates available.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1.Create a new table with 'iptables -N'
2.Save with iptables-save
3.Restore with iptables-restore -> segfaults

Actual Results:  Segmentation fault

Additional info:

iptables-1.2.4-2
kernel-2.4.9-31

Note You need to log in before you can comment on or make changes to this bug.